<?php
/**
 * DZF
 *
 * LICENSE: Redistribution and use in source and binary forms, with or without
 * modifications, are not permitted.
 *
 * @copyright Deubert IT-Solutions © 2012-2014 All rights reserved
 * @package DZF
 */

/**
 * @author Karsten Deubert <info@deubert.it>
 */
class DZF_Controller_Plugin_Language extends Zend_Controller_Plugin_Abstract
{
    public function routeShutdown(Zend_Controller_Request_Abstract $request)
    {
        $langParam = $request->getParam('hl');
        $language = DZF_Language::getInstance();
        $lang = $language->getLanguage();

        if ($lang != $langParam)
        {
            if ($language->isAvailable($langParam))
            {
                $language->setLanguage($langParam);
                /*Zend_Controller_Router_Route::setDefaultLocale($langParam);*/

                /*if ($language->hasDefaultLanguage()) {
                    //change url lang param if the language has just been
                    //initialized with default value
                    //this may occur for example if the session has expired
                    //$request->setParam('lang', $lang);
                    $urlOptions['lang'] = $lang;
                }*/

            }
        }
    }
}