<?php
/**
 * DZF
 *
 * LICENSE: Redistribution and use in source and binary forms, with or without
 * modifications, are not permitted.
 *
 * @copyright Deubert IT-Solutions © 2012-2014 All rights reserved
 * @package DZF
 */

/**
 * @author Karsten Deubert <info@deubert.it>
 */
class DZF_View_Helper_StaticDomain extends Zend_View_Helper_Abstract
{
    public function staticDomain()
    {
        $staticDomain = Zend_Registry::get('domain.static');
        if (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] == 'on')
        {
            $staticDomain = str_replace('http', 'https', $staticDomain);
        }
        return $staticDomain;
    }
}